Subject: Are You Sick of Product Photoshoots?
From: Big Turntables <[email-masked]>
To: Christian <[email-masked]>
Date: Thu, 27 Mar 2025 00:58:43 -0000

Can't see this email? [View in Your Browser](https://manage.kmail-lists.com/subscriptions/web-view?a=WpsjyJ&c=01HMDDBXH43YV4E3WK9GHFH2WR&k=e54bf169c8dc0fd88012ff550d1f5635&m=01JQAHJED7EJ3MZNHMTW3ECAC0&r=01JQAHPQP20NJM57AH4H0HQ9T8)

Hey - This is Mike. I got this email (above) from a large ecomm brand that is now our customer and wanted to share it with you. I can't tell you how much I empathized with them. 

This is the exact reason why we started big Turntables. We owned a couple of furniture brands, and the single most excruciatingly painful thing we had to do was photoshoots. We abhorred it. So much wasted time, so much money spent. 

That's why we invented Big Turntables. With a [Big Turntable](https://bigturntables.com/products/giant-turn):

✔️360° photoshoot of any sized product up to 10 feet wide. 

✔️360° photoshoots in just 2 minutes. 

✔️When you're done, just fold up the turntable and store it in your closet.

They're made here in Colorado. We designed them with ease of use in mind. They will literally save you hundreds of hours. And they're built to last. Check out our [10 foot turntable here](https://bigturntables.com/products/giant-turntable). I promise you'll love it.

Thanks for your time!

Mike Lipka

Big Turntables

https://bigturntables.com/products/giant-turn

 

 

🎟 Exclusive Event – Complimentary 360° Photoshoot in Boulder!
 
If you're a local brand (in the Denver / Boulder, Colorado area) and want to test spin our 360° photography service using our turntables, join us on April 2nd in Boulder, CO. 
 
Local brands can book a free ticket and bring in their products for a professional photoshoot—100% free! Reserve your spot now:
👉 [Claim Your Free Ticket](https://www.eventbrite.com/e/complimentary-360-product-photoshoot-day-at-big-turntables-studio-tickets-1028903487027?aff=oddtdtcreator&_kx=zuaSiFQ9H-J-hhlvoCD92w.WpsjyJ)
 
📸 If you're not able to make it, you can still claim a FREE 360° product photoshoot by using code 1FREE at [checkout here](https://bigturntables.com/products/360-photography-package1). 

 

No longer want to receive these emails? [Unsubscribe](https://manage.kmail-lists.com/subscriptions/unsubscribe?a=WpsjyJ&c=01HMDDBXH43YV4E3WK9GHFH2WR&k=e54bf169c8dc0fd88012ff550d1f5635&m=01JQAHJED7EJ3MZNHMTW3ECAC0&r=01JQAHPQP20NJM57AH4H0HQ9T8).
Big Turntables 6035 Longbow Drive Suite 108 Boulder, Colorado 80301